// Read strings from locale folder.
var gBundle = Components.classes["@mozilla.org/intl/stringbundle;1"].getService(Components.interfaces.nsIStringBundleService);
var swstrings = gBundle.createBundle("chrome://switcher/locale/switcher.properties");
var devserverror = swstrings.GetStringFromName("DevServerAlert");
var liveserverror = swstrings.GetStringFromName("LiveServerAlert");
var addserver = swstrings.GetStringFromName("AddServer");
var editserver = swstrings.GetStringFromName("EditServers");

// Saves the server
function switcher_saveServer()
{

    var devserver  = document.getElementById("switcher.devserver").value.trim();
    var errors       = "";
    var liveserver       = document.getElementById("switcher.liveserver").value.trim();
    //var serverregex = /^(https?:\/\/|file:\/\/\/)?[\w.-]+(:[0-9]*)?(\/[\w.-~]+)*$/; // change also in switcherOverlay.js!
    var serverregex = /^(https?:\/\/|file:\/\/\/)?[^:/]+(:[0-9]*)?(\/[^/]+)*$/; // change also in switcherOverlay.js!
    var charerror = swstrings.GetStringFromName("ServerNameAlert");

    if(!devserver)
    {
        errors += devserverror;
    }
    else if (!devserver.match(serverregex)) {
        errors += charerror;
    }

    if(!liveserver)
    {
        errors += liveserverror;
    }
    else if (!liveserver.match(serverregex)) {
        errors += charerror;
    }


    // If there are errors
    if(errors)
    {
        alert(errors.trim());

        return false;
    }
    else
    {
        window.opener.devserver  = devserver;
        window.opener.liveserver = liveserver;

        return true;
    }
}


// Clears the server
function switcher_clearServer()
{
    window.opener.devserver  = null;
    window.opener.liveserver = null;
}

// Initializes the resize dialog box
function switcher_initializeServer()
{
    // If the first argument equals add
    if(window.arguments[0] == "add")
    {
        document.title = addserver;
    }
    else
    {
        document.title = editserver;

        document.getElementById("switcher.devserver").value = window.arguments[1];
        document.getElementById("switcher.liveserver").value       = window.arguments[2];
    }
}
